[package]
name = "dsx_server"
version.workspace = true
edition.workspace = true
authors.workspace = true

[[bin]]
name = "dsx-server"
path = "src/main.rs"

[dependencies]
compiler = { path = "../../core/compiler" }
assembler = { path = "../../core/assembler" }
common = { path = "../../core/dsa_common" }
dsx_common = { path = "../dsx_common" }

dotenv = "0.15.0"
rocket = { version = "0.5.1", features = ["json"] }
rocket_dyn_templates = { version = "0.2.0", features = ["tera"] }
serde = { version = "1.0.228", features = ["derive"] }
toml = "1.0.3"
tracing = "0.1.44"
tracing-subscriber = { version = "0.3.22", features = ["env-filter"] }
chrono = "0.4.43"
tar = "0.4.44"
flate2 = "1.1.9"
walkdir = "2.5.0"
